// subPackageMarketing/page/pages/liveSubscrib/liveSubscrib.js
const wxService = require('../../../../utils/wxService')
const utils = require('../../../../utils/util')
import { Integer } from '../../../../utils/integerDigitalConvertion'
const app = getApp();
let livePlayer = requirePlugin('live-player-plugin')

wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    room_id : '',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    
    console.log(options)
    this.data.room_id = options.room_id;
    this.setData({
      room_id : this.data.room_id
    });

    livePlayer.getLiveStatus({room_id : this.data.room_id}).then(res => {
      console.log(res)
    })


    setTimeout(() => {
      wx.createSelectorQuery().select('.live-player-subscribe__btn').boundingClientRect().exec((res) =>{
        console.log(res)
      });
      
    },1000);
  },

  //点击事件
  onTapDoSubscrib(e){
    console.log(e)
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})